<% unless @procesos.empty? %>
<div class="contenido">
<table id="procesos">
  <tr>
    <th> <%= link_to 'id', :criterio_orden => 'id' %> </th>
    <th> <%= link_to 'Período', :criterio_orden => 'periodo' %> </th>
    <th> <%= link_to 'Tipo', :criterio_orden => 'tipo' %> </th>
    <th> <%= link_to 'Estado', :criterio_orden => 'estado' %> </th>
    <th> <%= link_to 'Monto comprometido', :criterio_orden => 'monto_total' %></th>
    <th> <%= link_to 'Monto efectivo', :criterio_orden => 'monto_total_efectivo' %></th>
    <th> <%= link_to 'Registros', :criterio_orden => 'numero_de_registros' %> </th>
    <th> <%= link_to 'Registros efectivos', :criterio_orden => 'numero_de_registros_efectivos' %> </th>
    <th> Acciones </th>
  </tr>

  <% @procesos.each do |proceso| %>

  <tr class=<%= "proceso-no-finalizado" if proceso.estado!="finalizado" %> <%=cycle('listado-par', 'listado-impar')%>  >
    <td> <%= proceso.id %> </td>
    <td> <%= proceso.nombre_periodo %> </td>
    <td> <%= proceso.tipo.upcase %> </td>
    <td> <%= proceso.estado.humanize %> </td>
    <td align="right"> <%= dinero proceso.monto_total %> </td>
    <td align="right"> <%= proceso.estado != "finalizado" ? "----" : dinero(proceso.monto_total_efectivo) %> </td>
    <td> <%= proceso.numero_de_registros %> </td>
    <td> <%= proceso.estado != "finalizado" ? "----" : proceso.numero_de_registros_efectivos %> </td>
    <td> 
      <%= link_to image_tag("view_text.png", :title => "Ver detalles"), {:action => 'ver_detalles', :id=>proceso} %>
      <%= link_to image_tag("view_detailed.png", :title => "Ver donaciones"), {:action => 'ver_donaciones', :id=>proceso} %>
      <%= link_to image_tag("borrar.png", :title => 'Eliminar'), {:action => 'eliminar', :id=>proceso}, :confirm => '¿Está seguro que desea eliminar este proceso y todas sus donaciones asociadas?' %>
    </td>
  </tr>

  <% end %>

</table>
</div>
<% end %>

<%= link_to 'Iniciar proceso', :action => :iniciar %>
<br />
<%= link_to 'Exportar datos a CSV', :action => :bajar_listado_procesos %>
